# vispy.scene.widgets.label module

class vispy.scene.widgets.label.Label(text, rotation=0.0, **kwargs)

  Bases: `Widget`

  Label widget

  Parameters:
    text str

      The label.

    rotation float

      The rotation of the label.

    **kwargs dict

      Keyword arguments to pass to TextVisual.

  on_resize(event)

    Resize event handler

    Parameters:
      event instance of Event

        The event.

  property text

previous

vispy.scene.widgets.grid module

next

vispy.scene.widgets.viewbox module